import { ComponentImplementation } from '../../services/registry';
declare const _default: {
    impl: ComponentImplementation<import("@sinclair/typebox").ReduceModifiers<import("@sinclair/typebox").StaticModifiers<{
        options: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
            label: import("@sinclair/typebox").TString;
            value: import("@sinclair/typebox").TString;
        }>>;
        placeholder: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        defaultValue: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        errorBorderColor: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        focusBorderColor: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        isDisabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        isInvalid: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        isReadOnly: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        isRequired: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        size: import("@sinclair/typebox").TKeyOf<("md" | "sm" | "lg" | "xs")[]>;
        variant: import("@sinclair/typebox").TKeyOf<("outline" | "unstyled" | "filled" | "flushed")[]>;
    }>>>;
    version: string;
    kind: "Component";
    metadata: import("@meta-ui/core/lib/metadata").ComponentMetadata;
    spec: {
        properties: import("json-schema").JSONSchema7Object;
        state: import("json-schema").JSONSchema7;
        methods: import("@meta-ui/core").MethodSchema[];
        styleSlots: string[];
        slots: string[];
        events: string[];
    };
    parsedVersion: import("@meta-ui/core/lib/version").Version;
};
export default _default;
